Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226670 - Merge Review: zisofs-tools
Summary: Merge Review: zisofs-tools
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:37 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 10:38:58 UTC
wolfy: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:37:06 UTC
Fedora Merge Review: zisofs-tools

http://cvs.fedora.redhat.com/viewcvs/devel/zisofs-tools/
Initial Owner: harald@redhat.com

Comment 1 manuel wolfshant 2007-03-21 14:43:54 UTC
- rpmlint says:
W: zisofs-tools summary-ended-with-dot Utilities for creating compressed CD-ROM
filesystems.
- release value is suitable but rather strange (why 3.2.2 and not 4, 5, 6.. ? )
- buildroot does not respect the packaging guidelines
(http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473)
-  SMP flags are not used. If they cannot be used, the spec should make a
mention about that
- the license (available in the tar.bz2) is not included in the package


Comment 2 Harald Hoyer 2007-03-23 10:53:13 UTC
>> release value is suitable but rather strange (why 3.2.2 and not 4, 5, 6.. ? )

This was from automatic rebuilds, as you can see by the changelog entries...

please check zisofs-tools-1.0.7-1.fc7

Comment 3 manuel wolfshant 2007-03-23 13:42:40 UTC
Legend: OK - passed, NA = not available/not applicable, MUSTFIX - failed

MUST
OK - package meets naming guidelines
OK - package meets packaging guidelines
OK - license (GPL ) OK, text in %doc, matches source
OK - spec file legible, in am. english
OK - source matches upstream, latest available version, sha1sum is
77222a47c923d937b6af06362b8c1e6bf54259fe  zisofs-tools-1.0.7.tar.bz2
OK - package compiles on devel (x86_64)
NA - no missing BR
OK - no unnecessary BR
NA - no locales
OK - not relocatable
OK - owns all files/directories that it creates, does not take ownership of
foreign files/directories
OK - no duplicate files
OK - permissions ok
OK - %clean ok
OK - macro use consistent
OK - code, not content
OK - no need for -docs
OK - nothing in %doc affects runtime
OK - no need for .desktop file, program is a cmdline
NA - no devel / pkconfig / libtool


SHOULD
OK - package compiles in mock
OK - package builds in mock
NA - no scriptlets
OK - does not segfault when run

APPROVED


Comment 4 manuel wolfshant 2007-05-29 00:23:42 UTC
Harald, could you please close this bug when have 30 secs to spare ?

Comment 5 manuel wolfshant 2007-06-14 18:22:29 UTC
ping ?


Note You need to log in before you can comment on or make changes to this bug.